"use client";
import React, { useState } from "react";
import Image from "next/image";
function Sec1() {
  let [selected, setSelected] = useState<number>(4);
  const handleToggle = (number: number) => {
    if (selected == number) {
      console.log(selected);
      setSelected(0);
      console.log(selected);
      return;
    }
    setSelected(number);
  };
  return (
    <div className="md:bg-choose lg:bg-choose h-[800px] bg-cover">
      <div className=" md:pl-[80px] lg:pl-[80px]  pt-[60px] pl-5 pr-5">
        <div className="border-[3px] border-[#398D9C] md:w-[220px]  lg:w-[220px] w-[100px] text-center pt-2 pb-2 rounded-[30px] text-[12px] md:text-[20px] lg:text-[20px]">
          SERVICES
        </div>
      </div>
      <h2 className="md:text-[30px] lg:text-[30px] text-[25px] font-[800] font-openSans text-center mt-5 md:mt-0 lg:mt-0">
        Technology For Your Digital Platform
      </h2>
      <div className="flex flex-col md:flex-row lg:flex-row p-5 pt-10 mt-10 md:gap-[90px] lg:gap-[90px] md:pr-20 lg:pr-20 md:pl-20 gap-10  lg:pl-20">
        <div>
          <Image
            src="/home/solid_III.png"
            alt=""
            height={380}
            width={700}
          ></Image>
        </div>

        <div className="md:w-[800px] lg:md:w-[800px] w-full">
          <div className="flex flex-col ">
            <div className="flex border-b-[2px] border-black p-5 justify-between pl-0 ">
              <h3 className="  pl-0 md:text-[25px] lg:text-[25px] text-[20px] font-[700] font-openSans">
                Web development
              </h3>
              <div onClick={() => handleToggle(1)}>
                {selected == 1 ? (
                  <Image
                    src="/home/larrow.png"
                    height={30}
                    width={30}
                    alt={""}
                  ></Image>
                ) : (
                  <Image
                    src="/home/rarrow.png"
                    height={30}
                    width={30}
                    alt={""}
                  ></Image>
                )}
              </div>
            </div>
            {selected == 1 && (
              <p className="mt-5 md:text-[20px] lg:text-[20px] text-[18px]">
                We craft high-performance websites tailored to your business
                needs, ensuring seamless functionality and a stunning user
                experience.
              </p>
            )}
          </div>
          <div className="flex flex-col ">
            <div className="flex border-b-[2px] border-black p-5 justify-between pl-0">
            <h3 className="  pl-0 md:text-[25px] lg:text-[25px] text-[20px] font-[700] font-openSans">
                UI UX Design
              </h3>
              <div onClick={() => handleToggle(2)}>
                {selected == 2 ? (
                  <Image
                    src="/home/larrow.png"
                    height={30}
                    width={30}
                    alt={""}
                  ></Image>
                ) : (
                  <Image
                    src="/home/rarrow.png"
                    height={30}
                    width={30}
                    alt={""}
                  ></Image>
                )}
              </div>
            </div>
            {selected == 2 && (
             <p className="mt-5 md:text-[20px] lg:text-[20px] text-[18px]">
                Our designs focus on smooth interactions and accessibility,
                ensuring a flawless digital experience.
              </p>
            )}
          </div>
          <div className="flex flex-col ">
            <div className="flex border-b-[2px] border-black p-5 justify-between pl-0">
            <h3 className="  pl-0 md:text-[25px] lg:text-[25px] text-[20px] font-[700] font-openSans">
                E Marketing & SEO
              </h3>
              <div onClick={() => handleToggle(3)}>
                {selected == 3 ? (
                  <Image
                    src="/home/larrow.png"
                    height={30}
                    width={30}
                    alt={""}
                  ></Image>
                ) : (
                  <Image
                    src="/home/rarrow.png"
                    height={30}
                    width={30}
                    alt={""}
                  ></Image>
                )}
              </div>
            </div>
            {selected == 3 && (
           <p className="mt-5 md:text-[20px] lg:text-[20px] text-[18px]">
                Result-Driven Digital Strategies We create data-driven marketing
                strategies to boost your brand’s reach and maximize engagement.
              </p>
            )}
          </div>
          <div className="flex flex-col ">
            <div className="flex border-b-[2px] border-black p-5 justify-between pl-0">
            <h3 className="  pl-0 md:text-[25px] lg:text-[25px] text-[20px] font-[700] font-openSans">
                POS Solutions
              </h3>
              <div onClick={() => handleToggle(4)}>
                {selected == 4 ? (
                  <Image
                    src="/home/larrow.png"
                    height={30}
                    width={30}
                    alt={""}
                  ></Image>
                ) : (
                  <Image
                    src="/home/rarrow.png"
                    height={30}
                    width={30}
                    alt={""}
                  ></Image>
                )}
              </div>
            </div>
            {selected == 4 && (
          <p className="mt-5 md:text-[20px] lg:text-[20px] text-[18px]">
                Smart & Efficient POS Systems Streamline your business
                operations with our fast, reliable, and feature-rich POS
                solutions.
              </p>
            )}
          </div>
        </div>
      </div>
    </div>
  );
}

export default Sec1;
